/*
 * Copyright (c) Draconis Internet Package Project
 * Jens Heitmann <jh_draconis@users.sourceforge.net>
 * 
 * This software is licenced under the GNU Public License.
 * Please see COPYING for further information.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA.
 * or have a look to http://www.gnu.org.
 * 
 * Author: Jens Heitmann
 * Version-Date: 2007-08-01
 * 
 */
 
#include "extern.h"

static int patchlevel = 4;

/* -----------------------
   | About Intercon Mail |
   ----------------------- */
void about_info(void)
{
OBJECT *about;
char *s;

rsrc_gaddr(R_TREE, ABOUT, &about);

s = about[VERSION].ob_spec.tedinfo->te_ptext;
s = strstr(s, "%v");
if (s)
	if (patchlevel > 0)
		{
		strcpy(s, " (Pl: ");
		itoa(patchlevel, s + 6, 10);
		strcat(s, ")");
		}
	else
		*s = 0;
	
open_dialog(about);
do_dialog(about, 0);
close_dialog();
}
