/* Emulation flags */
#define ASCII_MODE 0
#define SCAN_MODE 1

/* Output device */
#define TO_SCR 0            /* for local printer support */
#define TO_PRT 1

/* Keyboard state */
#define KRIGHTSHIFT 	 1
#define KLEFTSHIFT		 2
#define KCONTROL			 4
#define KALTERNATE		 8
#define KCONTROLSHIFT	 7
#define KCONTROLLSHIFT 6
#define KCONTROLRSHIFT 5
#define KSHIFT				 3

/* Colours */
#define COL_BLACK 0
#define COL_BLUE 1
#define COL_GREEN 2
#define COL_CYAN 3
#define COL_RED 4
#define COL_MAGENTA 5
#define COL_BROWN 6
#define COL_GREY 7
#define COL_LIGHT_BLACK 8
#define COL_LIGHT_BLUE 9
#define COL_LIGHT_GREEN 10
#define COL_LIGHT_CYAN 11
#define COL_LIGHT_RED 12
#define COL_LIGHT_MAGENTA 13
#define COL_YELLOW 14
#define COL_WHITE 15

/* Magic/MultiTOS extensions */
#define WF_ICONIFY			26
#define WF_UNICONIFY		27
#define WF_UNICONIFYXYWH	28

#define WM_ICONIFY			34
#define WM_UNICONIFY		35
#define WM_ALLICONIFY		36

#define ICONIFIER			0x4000	

/* Untersttzung von Winx 2.1 */
#define WF_RETURN		1
#define WF_WINX			22360
#define	WF_WINXCFG		22361
#define WF_OWNER		20
#define WF_BOTTOM		25
#define WM_BOTTOMED		33

#ifdef __AHCC__
 #undef SMALLER
#endif
#define SMALLER ICONIFIER
