/*
 * Copyright (c) Draconis Internet Package Project
 * Jens Heitmann <jh_draconis@users.sourceforge.net>
 * 
 * This software is licenced under the GNU Public License.
 * Please see COPYING for further information.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA.
 * or have a look to http://www.gnu.org.
 * 
 * Author: Jens Heitmann
 * Version-Date: 2007-08-01
 * 
 */
 
#include "extern.h"

/* ------------------
   | Find font size |
   ------------------ */
void find_font(void)
{
int font_size, dummy;
int ax, ay, aw, ah;
int wx, wy, ww, wh;

wind_get(ROOT, WF_WORKXYWH, &wx, &wy, &ww, &wh);

font_size = 14;
do
	{
	font_size--;
	vst_height(vdi_handle, font_size, &dummy, &dummy,
						 &font_width, &font_height);
	wind_calc(WC_BORDER, NAME|CLOSER|FULLER|MOVER, 
					0, 0, 80 * font_width, 25 * font_height, &ax, &ay, &aw, &ah);
	}while(aw > ww || ah > wh);
}