																				/* File: ABOUT.C
																				   ------------- */
void about_info(void);

																				/* File: ANSI.C
																				   ------------- */
void ansi_curmove(char *buf);
void ansi_curup(char *buf);
void ansi_curdwn(char *buf);
void ansi_currgt(char *buf);
void ansi_curlft(char *buf);
void ansi_setattr(char *buf);
void ansi_delchar(char *buf);
void ansi_delline(char *buf);
void ansi_inschar(char *buf);
void ansi_nextline(char *buf);
void ansi_prevline(char *buf);
void ansi_insline(char *buf);
void emulate_key(void);

																				/* File: CLIPBD.C
																			  	 -------------- */
void check_scrap(void);
void paste_scrap(void);

																				/* File: CONNECT.C
																			  	 --------------- */
void new_connection(void);
void close_connection(void);
int connect_to(void);
void load_servers(void);
void save_servers(void);

																				/* File: CONTROL.C
																			  	 --------------- */
void InController(void);
void add_server(char *server);

																				/* File: DIALOG.C
																				   -------------- */
int IsChecked(OBJECT *tree, int obj);
void CheckObj(OBJECT *tree, int obj);
void UncheckObj(OBJECT *tree, int obj);
void ToggleCheck(OBJECT *tree, int obj);
void EnableObj(OBJECT *tree, int obj);
void DisableObj(OBJECT *tree, int obj);
void SetSelect(OBJECT *tree, int obj, int set);
int IsSelected(OBJECT *tree, int obj);
void open_dialog(OBJECT *tree);
void redraw_dialog(OBJECT *tree);
void redraw_object(OBJECT *tree, int obj);
int  do_dialog(OBJECT *tree, int s_obj);
void close_dialog(void);
void change_object(OBJECT *tree, int obj, int nstate);
void redraw_tree(OBJECT *tree, int obj, int rx, int ry, int rw, int rh);
void dialog_message(OBJECT *tree, int *msg);

void BindTab(OBJECT *tree1, int obj1, int new_obj);
int CombineDialogs(OBJECT **newtree, OBJECT *tree1, OBJECT *tree2);

																				/* File: ESCAPES.C
																				   --------------- */
void execute_ansi1(char chr);
void execute_ansi2(char chr);
int check_escape(char chr);

																				/* File: FONT.C
																				   ------------ */
void find_font(void);

																				/* File: KEYBD.C
																				   ------------- */
void Keyboard(void);

																				/* File: MAIN.C
																				   ------------ */
void cls_vwork(void);
void open_vwork(void);
void message_handler(void);
	
																				/* File: MARK.C
																				   ------------ */
void mark_window(void);
void mark_all(void);
void unmark_all(void);
void copy_mark(void);

																				/* File: MENU.C
																				   ------------ */
void menu_handler(void);

																				/* File: MISC.C
																				   ------------ */
int min(int a, int b);
int max(int a, int b);
int CheckSystem(void);
int rc_intersect(GRECT *s1, GRECT *s2);
void send_string(char *sstr);
int check_connection(int function);

																				/* File: OUTPUT.C
																				   -------------- */
void crt_init(void);
void crt_exit(void);
void character_out(char chr);
void FlushScreen(void);
void set_crspos(int x, int y);
void new_crspos(int x, int y);
void clear_all(void);
void del_character(int n);
void delete_lines(int n);
void save_curpos(void);
void restore_curpos(void);
void visible_bell(void);
void clear_toeos(void);
void clear_eol(void);
void cursor_down(int n);
void cursor_up(int n);
void cursor_left(int n);
void cursor_right(int n);
void cursor_on(void);
void cursor_off(void);
void ins_lines(int n);
void ins_character(int n);
void set_hori(int n);
void set_rhori(int n);
void set_verti(int n);
void set_rverti(int n);
void clear_tosos(void);
void clear_sol(void);
void clear_line(void);
void string_out(char *sstr);
void scroll_up(int n);
void scroll_down(int n);
void rect_blt(int xf, int yf, int xt, int yt, int w, int h);
void blt_copy(int xf, int yf, int xt, int yt, int w, int h);
void fill_area(int x, int y, int w, int h, int col);
void redraw_crt(int rdx, int rdy, int rdw, int rdh);
void toggle_cursor(void);
void cursor_blink(void);

																				/* File: RSC.C
																				   ----------- */
int init_rsc(void);

																				/* File: SETTINGS.C
																				   ---------------- */
void settings(void);
void save_config(void);
void load_config(void);
int select_color(int curr_color);

																				/* File: TCPIP.C
																				   ------------- */
void close_tcpip(void);
void reconnect(int flg);
void init_tcpip(void);
void start_telnet(void);
void stop_telnet(void);
int tcpip_state(void);
int tcpip_read(char *chr);
void tcpip_write(char chr);
int recv_data(void);

																				/* File: X_FORMDO.C
																				   ---------------- */
int x_form_do(OBJECT *tree, int start_fld);

																				/* File: X_OBJS.C
																				   -------------- */
void init_objs(void);
void exit_objs(void);
void set_special_objects(OBJECT *tree);
void set_edit_specials(OBJECT *tree);
void release_special_objects(OBJECT *tree);
void release_edit_specials(OBJECT *tree);
int cdecl radio_obj(PARMBLK *paramblock);
int cdecl check_obj(PARMBLK *paramblock);
int cdecl grey_obj(PARMBLK *paramblock);
int cdecl greyb_obj(PARMBLK *paramblock);
int cdecl frameb_obj(PARMBLK *paramblock);
int cdecl string_obj(PARMBLK *paramblock);
int cdecl button_obj(PARMBLK *paramblock);
int cdecl editfld_obj(PARMBLK *paramblock);
int cdecl password_obj(PARMBLK *paramblock);
int cdecl text_obj(PARMBLK *paramblock);
int cdecl tab_obj(PARMBLK *paramblock);
int cdecl sliderbkg_obj(PARMBLK *paramblock);
int cdecl slider_obj(PARMBLK *paramblock);
int cdecl label_obj(PARMBLK *paramblock);
void obj_copy(BITBLK *blk, int xt, int yt, int mode);
void obj_clip(PARMBLK *parm, int flg);
